GDB (xrefs)

Functions
common-regcache.c File Reference
`#include "common-defs.h"`
`#include "common-regcache.h"`

Go to the source code of this file.

## Functions
ULONGEST | regcache_raw_get_unsigned (struct regcache *regcache, int regnum)

## Function Documentation

## ◆ regcache_raw_get_unsigned()

ULONGEST regcache_raw_get_unsigned | ( | struct regcache * | regcache,
|  | int | regnum
| ) |  |

Definition at line 26 of file common-regcache.c.

References _, NOT_AVAILABLE_ERROR, REG_UNAVAILABLE, regcache_raw_read_unsigned(), regnum, status, and throw_error().

Referenced by alpha_next_pc(), arm_get_next_pcs_raw(), arm_is_thumb(), arm_linux_get_next_pcs_fixup(), arm_linux_get_next_pcs_syscall_next_pc(), branch_dest(), find_step_target(), micromips_bc1_pc(), micromips_next_pc(), mips32_bc1_pc(), mips32_next_pc(), nios2_get_next_pc(), shifted_reg_val(), sparc_software_single_step(), thumb_deal_with_atomic_sequence_raw(), thumb_get_next_pcs_raw(), and tic6x_get_next_pc().